Package wx :: Class RegionIterator

[frames | no frames]

## Type RegionIterator

    object --+
             |
        Object --+
                 |
                RegionIterator

Proxy of C++ RegionIterator class

Method Summary
RegionIterator | `__init__(self, region)`
| `__del__(self)`
bool | `__nonzero__(self)`
int | `GetH(self)`
int | `GetHeight(self)`
Rect | `GetRect(self)`
int | `GetW(self)`
int | `GetWidth(self)`
int | `GetX(self)`
int | `GetY(self)`
bool | `HaveRects(self)`
| `Next(self)`
| `Reset(self)`

Property Summary
| `H`: See `GetH`
| `Height`: See `GetHeight`
| `Rect`: See `GetRect`
| `thisown`: The membership flag
| `W`: See `GetW`
| `Width`: See `GetWidth`
| `X`: See `GetX`
| `Y`: See `GetY`

Property Details

### H

See `GetH`

  Get Method:
    `GetH`(self)

### Height

See `GetHeight`

  Get Method:
    `GetHeight`(self)

### Rect

See `GetRect`

  Get Method:
    `GetRect`(self)

### thisown

The membership flag

### W

See `GetW`

  Get Method:
    `GetW`(self)

### Width

See `GetWidth`

  Get Method:
    `GetWidth`(self)

### X

See `GetX`

  Get Method:
    `GetX`(self)

### Y

See `GetY`

  Get Method:
    `GetY`(self)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:05 2007 | http://epydoc.sf.net